<?php
/**
 *  Group/Delete.php
 *
 *  @author     {$author}
 *  @package    Secioss
 *  @version    $Id: skel.view.php,v 1.8 2006/11/06 14:31:24 cocoitiban Exp $
 */

/**
 *  group_deleteビューの実装
 *
 *  @author     {$author}
 *  @access     public
 *  @package    Secioss
 */
class Secioss_View_GroupDelete extends Secioss_ViewClass
{
    /**
     *  遷移前処理
     *
     *  @access public
     */
    function preforward()
    {
        $conf = $this->config->get('secioss');

        if ($this->af->get('operation') != 'read') {
            return;
        }

        $dn = $this->af->get('dn');
        $r = $auth->getObjectList('user', array('id' => $dn));
        if (Ethna::isError($r) || $r[0] == 0) {
            return;
        }

        $this->session->set('user_name', $r[1][0]->get('cn'));
    }
}
?>
